LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::document::UpdateDocMode Constant Group Referencepublished

Specify the way a document can be updated. More...

## Variables
const short | NO_UPDATE = 0
| Do not update document. More...
const short | QUIET_UPDATE = 1
| Update document if it does not require a dialog. More...
const short | ACCORDING_TO_CONFIG = 2
| Produce update according to configuration settings. More...
const short | FULL_UPDATE = 3
| Update document even if it does require a dialog. More...

## Detailed Description

Specify the way a document can be updated.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ ACCORDING_TO_CONFIG

const short ACCORDING_TO_CONFIG = 2

Produce update according to configuration settings.

If there are no settings use dialog.

## ◆ FULL_UPDATE

const short FULL_UPDATE = 3

Update document even if it does require a dialog.

## ◆ NO_UPDATE

const short NO_UPDATE = 0

Do not update document.

## ◆ QUIET_UPDATE

const short QUIET_UPDATE = 1

Update document if it does not require a dialog.

Otherwise do not update. For example a link to a database can require a dialog to get password for an update.